org.apache.avro.generic

## Interface GenericContainer

- All Known Subinterfaces:
    GenericArray<T>, GenericEnumSymbol<E>, GenericFixed, GenericRecord, IndexedRecord, SpecificRecord
  All Known Implementing Classes:
    GenericData.Array, GenericData.EnumSymbol, GenericData.Fixed, GenericData.Record, HandshakeMatch, HandshakeRequest, HandshakeResponse, MD5, Pair, SpecificExceptionBase, SpecificFixed, SpecificRecordBase, TaskType

      public interface GenericContainer

  Contains data of other types.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Schema` | `getSchema()` The schema of this instance.

- - ### Method Detail

    - #### getSchema

          Schema getSchema()

      The schema of this instance.

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.